Export workspace security audit logs as CSV
curl --request GET \
--url https://api.eventlink.co/api/v1/dashboard/audit-logs/export \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/audit-logs/export"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/audit-logs/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<string>{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Export workspace security audit logs as CSV
CSV export of the workspace security audit log. Workspace security audit logs are retained for at least 365 days. Rows are not purged automatically. Exports are capped at 10000 rows.
GET
/
api
/
v1
/
dashboard
/
audit-logs
/
export
Export workspace security audit logs as CSV
Authorizations
Better Auth session cookie.
Query Parameters
Exact audit action
Available options:
member.invited, member.removed, member.role_changed, invitation.revoked, invitation.accepted, role.created, role.updated, role.deleted, sso.provider_created, sso.provider_updated, sso.provider_deleted, workspace.created, workspace.updated, workspace.deleted, domain.set, domain.changed, domain.verify, domain.deleted, domain.email_enabled, domain.email_verified, domain.email_disabled, domain.email_sender_updated, integration.connected, integration.disconnected, auth.login, auth.login_failed, api.permission_denied Actor user id or email
Inclusive range start (ISO timestamp or YYYY-MM-DD UTC)
Inclusive range end (ISO timestamp or YYYY-MM-DD UTC)
Response
CSV file
RFC 4180 CSV. Formula-like cells are prefixed.